Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
messageform.php File Reference

Go to the source code of this file.

## Variables
| $ini = eZINI::instance( 'site.ini' )
| $AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )
| $language = $ini->variable( "eZForumMain", "Language" )
| $AllowedTags = $ini->variable( "eZForumMain", "AllowedTags" )
| $author = eZUser::currentUser()
| $locale = new eZLocale( $language )
if(isset( $ShowMessageForm) && $ShowMessageForm) | else

## Variable Documentation

## ◆ $AllowedTags

$AllowedTags = $ini->variable( "eZForumMain", "AllowedTags" )

Definition at line 33 of file messageform.php.

## ◆ $AllowHTML

$AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )

Definition at line 31 of file messageform.php.

## ◆ $author

$author = eZUser::currentUser()

Definition at line 35 of file messageform.php.

## ◆ $ini

$ini = eZINI::instance( 'site.ini' )

Definition at line 30 of file messageform.php.

## ◆ $language

$language = $ini->variable( "eZForumMain", "Language" )

Definition at line 32 of file messageform.php.

Referenced by eZContentLanguage\addLanguage(), eZContentObjectState\allTranslations(), eZContentObjectStateGroup\allTranslations(), eZContentLanguage\fetchByLocale(), eZContentLanguage\fetchLimitationList(), eZContentLanguage\fetchList(), eZContentLanguage\fetchLocaleList(), ezpContentFieldSet\fromContentObject(), eZContentLanguage\idByLocale(), eZContentLanguage\jsArrayByMask(), eZContentLanguage\languagesByMask(), eZContentLanguage\languagesSQLFilter(), eZContentLanguage\maskByLocale(), eZContentLanguage\prioritizedLanguageCodes(), eZContentLanguage\prioritizedLanguages(), eZContentLanguage\prioritizedLanguagesByLocaleList(), eZContentLanguage\prioritizedLanguagesByMask(), eZContentLanguage\removeLanguage(), eZSiteAccess\saNameByLanguage(), ezpContent\setActiveLanguage(), ezpContentFieldSet\setActiveLanguage(), eZContentLanguage\topPriorityLanguageByLocaleList(), and eZContentLanguage\topPriorityLanguageByMask().

## ◆ $locale

$locale = new eZLocale( $language )

Definition at line 37 of file messageform.php.

## ◆ else

if (isset($ShowMessageForm) &&$ShowMessageForm) else

Initial value:
{
$t->parse( "message_form_file", "" )
$t
foreach( $Modules as $module) if(isset( $ItemInsert)) $t
Definition: classes/admin/linklist.php:168

Definition at line 292 of file messageform.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.